# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新老编码组停用验证,2264,2264-68,sit,bs
主数据平台:运营后台管理系统新老编码组停用接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取新老商品关系编码列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_product_code")
request_body = commonFuc().get_business_data(module, "payload_product_code_1")
# 发送请求
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 获取新老编码组信息
group_id = result["data"]["list"][0]["groupId"]

# 第二步进行新老商品关系编码维护停用操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module,
                                                                "url20") + "?" + "groupId={}&remarks=".format(
    group_id)

"""
 场景:新老编码组停用验证
 用例名称：新老编码组停用验证
 输出：{"status":2}
"""

# 发送请求
result = requests.get(url, headers=headers)
result = json.loads(result.content)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包状态
sql = "SELECT t.status FROM `cmdc-order`.tc_fresenius_group t WHERE groupId = {}".format(group_id)
result = {"status": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict21")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
